/*
   MicroMDAEPiano

   MicroMDAEPiano is a port of the MDA-EPiano sound engine
   (https://sourceforge.net/projects/mda-vst/) for the Teensy-3.5/3.6 with audio shield.

   (c)2019 H. Wirtz <wirtz@parasitstudio.de>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
*/

#include "config.h"
#include "UI.h"

UI::UI()
{
  lcd=new LiquidCrystalPlus_I2C(LCD_I2C_ADDRESS, LCD_CHARS, LCD_LINES);
  enc[0] = new Encoder4(ENC_L_PIN_A, ENC_L_PIN_B);
  enc[1] = new Encoder4(ENC_R_PIN_A, ENC_R_PIN_B);
  enc_val[0] = INITIAL_ENC_L_VALUE;
  enc_val[1] = INITIAL_ENC_R_VALUE;
  but[0] = new Bounce(BUT_L_PIN, BUT_DEBOUNCE_MS);
  but[1] = new Bounce(BUT_R_PIN, BUT_DEBOUNCE_MS);
}

UI::~UI()
{
  ;
}
